Name: schroot
Version: 1.6.3
Release: %mkrel 6
Summary: Execute commands in a chroot environment
Group: Development/Other
License: GPLv3+
URL: http://packages.debian.org/schroot
Source0: http://ftp.de.debian.org/debian/pool/main/s/schroot/%{name}_%{version}.orig.tar.xz
Patch0: schroot-pam.patch
Patch1: schroot-default-config-path.patch
BuildRequires: pam-devel
BuildRequires: boost-devel
BuildRequires: lockdev-devel
BuildRequires: gettext
BuildRequires: libuuid-devel
BuildRequires: liblvm2app-devel
BuildRequires: cppunit-devel
BuildRequires: btrfs-progs
BuildRequires: debootstrap
BuildRequires: fakeroot
BuildRequires: groff

Suggests: lvm2
Suggests: btrfs-progs

%description
schroot allows users to execute commands or interactive shells in
different chroots.  Any number of named chroots may be created, and
access permissions given to each, including root access for normal
users, on a per-user or per-group basis.  Additionally, schroot can
switch to a different user in the chroot, using PAM for
authentication and authorisation.  
All operations are logged for security.

Several different types of chroot are supported, including normal
directories in the filesystem, and also block devices.  Sessions,
persistent chroots created on the fly from files (tar with optional
compression and zip) and LVM snapshots are also supported.

schroot supports kernel personalities, allowing the programs run
inside the chroot to have a different personality.  For example,
running 32-bit chroots on 64-bit systems, or even running binaries
from alternative operating systems such as SVR4 or Xenix.

schroot also integrates with sbuild, to allow building packages with
all supported chroot types, including session-managed chroot types
such as LVM snapshots.

schroot shares most of its options with dchroot, but offers vastly
more functionality.

%package -n dchroot
Group: Development/Other
Summary: Older tool similar to schroot

%description -n dchroot
dchroot allows users to execute commands or interactive shells in different 
chroots. Users can move between chroots as necessary. Enhanced functionality 
is available in the next generation tool called schroot.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%configure2_5x --disable-rpath --enable-static --disable-shared --enable-dchroot --disable-silent-rules || ( cat config.log && exit 1 )
%make

%install
%makeinstall_std
mkdir -p %{buildroot}%{_localstatedir}/lib/schroot/session
mkdir -p %{buildroot}%{_sysconfdir}/schroot/chroot.d
/sbin/ldconfig -n %{buildroot}/%{_libdir}

# get rid of uneeded include and library files
rm -rf %{buildroot}%{_includedir}
rm -f %{buildroot}%{_libdir}/pkgconfig/sbuild.pc
rm -f %{buildroot}%{_libdir}/libsbuild.la
rm -f %{buildroot}%{_libdir}/libsbuild.so*
rm -f %{buildroot}%{_libdir}/libsbuild.a

rm -rf %{buildroot}%{_sysconfdir}/schroot/sbuild
rm -rf %{buildroot}%{_sysconfdir}/schroot/buildd
rm -rf %{buildroot}%{_bindir}/schroot-sbuild

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING AUTHORS ChangeLog HACKING NEWS README THANKS TODO
%{_bindir}/schroot
%dir %{_sysconfdir}/schroot
%dir %{_sysconfdir}/schroot/chroot.d
%config(noreplace) %{_sysconfdir}/schroot/schroot.conf
%config(noreplace) %{_sysconfdir}/pam.d/schroot
%dir %{_sysconfdir}/schroot/setup.d
%{_sysconfdir}/bash_completion.d/schroot
%{_sysconfdir}/schroot/default/copyfiles
%{_sysconfdir}/schroot/default/fstab
%{_sysconfdir}/schroot/default/nssdatabases
%{_sysconfdir}/schroot/desktop/copyfiles
%{_sysconfdir}/schroot/desktop/fstab
%{_sysconfdir}/schroot/desktop/nssdatabases
%{_sysconfdir}/schroot/minimal/copyfiles
%{_sysconfdir}/schroot/minimal/fstab
%{_sysconfdir}/schroot/minimal/nssdatabases
%{_sysconfdir}/schroot/setup.d/00check
%{_sysconfdir}/schroot/setup.d/05btrfs
%{_sysconfdir}/schroot/setup.d/05file
%{_sysconfdir}/schroot/setup.d/05lvm
%{_sysconfdir}/schroot/setup.d/05union
%{_sysconfdir}/schroot/setup.d/10mount
%{_sysconfdir}/schroot/setup.d/15binfmt
%{_sysconfdir}/schroot/setup.d/15killprocs
%{_sysconfdir}/schroot/setup.d/20copyfiles
%{_sysconfdir}/schroot/setup.d/20nssdatabases
%{_sysconfdir}/schroot/setup.d/50chrootname
%{_sysconfdir}/schroot/setup.d/70services
%{_sysconfdir}/schroot/setup.d/99check
%dir %{_libexecdir}/schroot
%{_libexecdir}/schroot/schroot-listmounts
%{_libexecdir}/schroot/schroot-mount
%{_libexecdir}/schroot/schroot-releaselock
%dir %{_localstatedir}/lib/schroot
%{_localstatedir}/lib/schroot/session
%{_localstatedir}/lib/schroot/mount
%{_datadir}/%{name}/setup/common-config
%{_datadir}/%{name}/setup/common-data
%{_datadir}/%{name}/setup/common-functions
%{_mandir}/man1/schroot.1.*
%{_mandir}/man5/schroot-script-config.5.*
%{_mandir}/man5/schroot-setup.5.*
%{_mandir}/man5/schroot.conf.5.*
%{_mandir}/man7/schroot-faq.7.*

%files -n dchroot
%{_bindir}/dchroot
%{_mandir}/man1/dchroot.1.*



%changelog
* Fri May 31 2013 philippem <philippem> 1.6.3-6.mga3
+ Revision: 433887
- fix depend on a set of devel packages (#10166)

* Thu Apr 11 2013 ennael <ennael> 1.6.3-5.mga3
+ Revision: 409606
- rebuild for boost 1.53

* Mon Jan 14 2013 umeabot <umeabot> 1.6.3-4.mga3
+ Revision: 381806
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1.6.3-3.mga3
+ Revision: 333014
- rebuild for new boost

* Thu Sep 20 2012 philippem <philippem> 1.6.3-2.mga3
+ Revision: 296375
- add libsbuild packages

* Sun Sep 16 2012 philippem <philippem> 1.6.3-1.mga3
+ Revision: 294557
- New version 1.6.3

* Tue Jul 31 2012 fwang <fwang> 1.4.25-3.mga3
+ Revision: 276823
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 1.4.25-2.mga3
+ Revision: 249719
- rebuild for new boost

* Mon Mar 05 2012 philippem <philippem> 1.4.25-1.mga2
+ Revision: 218518
- Update to 1.4.25.

* Mon Nov 28 2011 fwang <fwang> 1.4.23-2.mga2
+ Revision: 173542
- rebuild for new boost

* Tue Sep 27 2011 philippem <philippem> 1.4.23-1.mga2
+ Revision: 149327
- update to new upstream 1.4.23 version

  + fwang <fwang>
    - fix group

  + stormi <stormi>
    - update release to ensure higher version than in mageia 1

* Tue Jun 28 2011 ahmad <ahmad> 1.4.22-1.mga2
+ Revision: 115195
- Add a patch to fix build with boost
- Add a dchroot sub-package

  + fwang <fwang>
    - use configure2_5x
    - use configure2_5x
    - rebuild for new boost

  + philippem <philippem>
    - New upstream stable release 1.4.22
      + Don't use rbind when mounting filesystems in the chroot
      + Session metadata includes the original chroot name
      + Improved man pages

* Mon Apr 25 2011 philippem <philippem> 1.4.21-2.mga1
+ Revision: 90249
-add patch for stat -add buildrequires and suggests btrfs-progs

* Fri Apr 22 2011 philippem <philippem> 1.4.21-1.mga1
+ Revision: 89742
- imported package schroot

